/*
  Scrivere una funzione 

  void minmax(int a[], int len, int *min, int *max) 

  che, dato  un array a e la sua lunghezza len, scriva il valore 
  del massimo e del minimo elemento negli indirizzi puntati dalle 
  variabili min e max. 

  Scrivere un programma che legga da tastiera un intero n e utilizzi 
  rand() per la generazione di un array di n elementi interi casuali 
  e provare la funzione.
*/


#include <stdlib.h>
#include <stdio.h>

#define INTMAX (100)

void minmax(int* a, int len, int* min, int* max){

    int i;
    *min = *max = a[0]; // inizialmente assumiamo siano entrambi il primo elemento di a

    for (i = 1; i < len; i++) {
	if (a[i] > *max) *max = a[i]; 
	if (a[i] < *min) *min = a[i];
    }

}

int main() {
    
    int i, *a, min, max, n; 
    
    scanf("%d", &n); 
    if(n < 0) n = 100;

    a = malloc( n*sizeof(int) );
    if( a == NULL ) exit(1);
    
    srand( time(NULL) ); 
   
    for(i = 0; i < n; i++) 
	    a[i] = rand()%(INTMAX+1); // genera un numero casuale in [0, INTMAX]

    minmax(a, n, &min, &max);
    printf("%d %d\n", max, min);

    free(a);
  
    return 0;

}
